package com.fp.armas.task;

import java.util.HashMap;
import java.util.Map;

import com.fp.persistence.commondb.PersistenceHelper;
import com.fp.persistence.parmas.ins.TarmPlanificacionInspeccion;
import com.fp.simple.action.TaskAction;

/**
 * Clase para actualizar la planificacion
 * una tarea.
 * 
 * @version 2.1
 */
public class ActualizarPlanificacion extends TaskAction {

    /*
     * (non-Javadoc)
     * 
     * @see com.fp.simple.action.TaskAction#assignOwner(com.fp.dto.Request)
     */
    @SuppressWarnings("unchecked")
    @Override
    public void assignOwner(Object pParam) throws Exception {
    	
    	System.out.println("ingresa a actualizar a la clase");
        HashMap<String, Object> m = (HashMap<String, Object>) pParam;
        Map<String, Object> mrequest = (Map<String, Object>) m.get("request");
        if (mrequest.get("cplanificacion") == null) {
            return;
        }
        Long numeroTransacion=Long.parseLong(mrequest.get("cplanificacion").toString());
        TarmPlanificacionInspeccion planificacionInspeccion= TarmPlanificacionInspeccion.find(PersistenceHelper.getEntityManager(), numeroTransacion);
        planificacionInspeccion.setAprobada(m.get("respuesta").toString());
        PersistenceHelper.getEntityManager().merge(planificacionInspeccion);
        //datos de la transaccion
        PersistenceHelper.getEntityManager().flush();
    }

}
